Bug 227257 - databases/bbdb configuration changes since emacs FLAVOR
Summary: databases/bbdb configuration changes since emacs FLAVOR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 14:01 UTC by emss
Modified: 2018-11-17 09:34 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dryice)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description emss 2018-04-03 14:01:25 UTC
Hi,

It seems to me that since emacs has been flavoured, databases\bbdb builds
fine but can't be used if configured as stated in 3.x series documentation.
http://bbdb.sourceforge.net/bbdb.html#SEC13
http://bbdb.sourceforge.net/bbdb.html#SEC19

Using the following initialization code :
~/.emacs.d/init.el
;; BBDB setup
(require 'bbdb)
(bbdb-initialize 'gnus 'message)
(bbdb-mua-auto-update-init 'gnus 'message)

emacs barfs on startup, as bbdb-mua-auto-update-init symbol is void.

A few google searches later, the issue seems to be known :
https://bugs.archlinux.org/task/48634

The workaround is the following :
~/.emacs.d/init.el 
;; BBDB setup
(require 'bbdb-loaddefs) ;; symbol definition void workaround
(require 'bbdb)
(bbdb-initialize 'gnus 'message)
(bbdb-mua-auto-update-init 'gnus 'message)

Could this issue be fixed or an explanation added in pkg-message file, please ?
Comment 1 Rene Ladan freebsd_committer 2018-11-06 21:38:29 UTC
Maintainer reset.
Comment 2 commit-hook freebsd_committer 2018-11-14 18:04:29 UTC
A commit references this bug:

Author: jrm
Date: Wed Nov 14 18:03:51 UTC 2018
New revision: 484936
URL: https://svnweb.freebsd.org/changeset/ports/484936

Log:
  databases/bbdb: Update to 3.2, fix w/ Emacs 26.1, add pkg-message

  PR:		227257
  Reported by:	emss@free.fr

Changes:
  head/databases/bbdb/Makefile
  head/databases/bbdb/distinfo
  head/databases/bbdb/pkg-descr
  head/databases/bbdb/pkg-message
  head/databases/bbdb/pkg-plist
Comment 3 Joseph Mingrone freebsd_committer 2018-11-14 18:16:20 UTC
Thanks for reporting.  I believe this is related to a change in BBDB itself and is not related to Emacs flavors.

From BBDB's README:

4) Activate BBDB:

   i)   If the BBDB lisp files are in a directory
        "/path/to/bbdb/lisp" you can use in your Emacs init file

        (require 'bbdb-loaddefs "/path/to/bbdb/lisp/bbdb-loaddefs.el")

        This adds "/path/to/bbdb/lisp" to the load-path; so it is all
        you need to make BBDB known to Emacs.

   ii)  The user variable bbdb-tex-path should point to the directory
        where the BBDB TeX files reside (default /usr/local/share/bbdb).

Actually, now that I see this, it seem the second line, (require 'bbdb) is not necessary.
Comment 4 Joseph Mingrone freebsd_committer 2018-11-14 18:20:39 UTC
emms, could you test with the updated port?  Specifically could you confirm that (require 'bbdb) is not necessary?  I will update the pkg-message, but confirmation would be useful.
Comment 5 emss 2018-11-16 07:36:20 UTC
Hi Joseph,

I've tested this morning, seems (require 'bbdb) is no longer neeeded as the following setup works fine :

;; BBDB setup
(require 'bbdb-loaddefs) ;; https://bugs.archlinux.org/task/48634
;;(require 'bbdb)
(bbdb-initialize 'gnus 'message)
(bbdb-mua-auto-update-init 'gnus 'message)

(setq bbdb-mua-pop-up-window-size 5)
(setq bbdb-completion-display-record nil)
(setq bbdb-complete-mail-allow-cycling t)
(setq bbdb-default-country nil)

Thanks for your work.

Éric Masson
Comment 6 Joseph Mingrone freebsd_committer 2018-11-16 10:27:22 UTC
Thanks for confirming.
Comment 7 emss 2018-11-17 09:34:39 UTC
You're welcome.